Bug 107857 - GPU hang - GS_EMIT without shader outputs
Summary: GPU hang - GS_EMIT without shader outputs
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-07 10:51 UTC by Józef Kucia
Modified: 2018-10-02 21:52 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
apitrace (2.27 MB, application/octet-stream)
2018-09-07 10:51 UTC, Józef Kucia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Józef Kucia 2018-09-07 10:51:42 UTC
Created attachment 141472 [details]
apitrace

This can be reproduced reliably using the attached apitrace.

OpenGL renderer string: Radeon RX Vega (VEGA10, DRM 3.23.0, 4.15.5-gentoo, LLVM 6.0.0)
OpenGL core profile version string: 4.5 (Core Profile) Mesa 18.3.0-devel (git-1c7a2433b2)
Comment 1 Józef Kucia 2018-09-23 22:57:50 UTC
GS_EMIT without shader outputs seems to cause GPU hangs. Radeonsi generates shaders with GS_EMIT without writing shader outputs when geometry shader outputs are optimized out.

a potential fix: https://lists.freedesktop.org/archives/mesa-dev/2018-September/205848.html
piglit test: https://lists.freedesktop.org/archives/piglit/2018-September/025092.html
Comment 2 Józef Kucia 2018-10-02 21:52:15 UTC
Fixed by commit e24a4e05c7a7b9f3a06fa55284d6258ceff44fdd
https://cgit.freedesktop.org/mesa/mesa/commit/?id=e24a4e05c7a7b9f3a06fa55284d6258ceff44fdd


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.